/*------------------------------------------------------------------------
Module:        C:\Maison\CodeC\Echec\ABOUT.C
Author:        Richard KIELBASA (adaptateur)
Project:       Echecs
State:         Termin
Creation Date: 7 12 2003
Description:  See at the end of file
------------------------------------------------------------------------*/


#define NOATOM
#define NOCLIPBOARD
#define NOCREATESTRUCT
#define NOFONT
#define NOREGION
#define NOSOUND
#define NOWH
#define NOCOMM
#define NOKANJI

#include <windows.h>
#include <time.h>
#include <sys\types.h>
#include <sys\stat.h>
//#include <rkcontroles.h>

#include "clsversion.h"
#include "Echecs_rc.h"

extern HINSTANCE hInst;


/*retro declaration*/
static BOOL  CALLBACK gererFrmAbout(HWND hDlg, unsigned message, WPARAM wParam, LPARAM lParam);

/*------------------------------------------------------------------------
Procedure:     appelAPropos ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
int appelAPropos(HWND hwnd)
{
	int irep;
	irep = DialogBox(hInst, MAKEINTRESOURCE(DLG_ABOUT), hwnd,(DLGPROC)gererFrmAbout);

	return irep;
}
/*------------------------------------------------------------------------
Procedure:     gererFrmAbout ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
static BOOL  CALLBACK gererFrmAbout(HWND hDlg, unsigned message, WPARAM wParam, LPARAM lParam)
{

	switch (message)
	{

	case WM_INITDIALOG:
		{
			/* message: initialize dialog box */
			char chaine1[128];

/*barre de titre*/
			strcpy(chaine1, "Echecs alias Chess V");
			VER_recuperer(chaine1 + 19, NULL);
			SetWindowText(hDlg, chaine1);

			VER_recuperer(NULL, chaine1);
			SetDlgItemText ( hDlg,  LBL_ABOUT_VERSION, chaine1);

			SetDlgItemText ( hDlg,  LBL_ABOUT_01,
				"GNU CHESS 3.1\nDaryl K. Baker\nWed Jan 02 02:03:55 1980");

			SetDlgItemText ( hDlg,  LBL_ABOUT_02,
				"Portion  by:\nFree Software Foundation\nJohn Stanback");

			SetDlgItemText ( hDlg,  LBL_ABOUT_03,
				"Adaptation Windows 2003\n Richard Kielbasa");
		}
		return (TRUE);

	case WM_COMMAND:		      /* message: received a command */
		switch ( LOWORD(wParam))
		{
		case CMD_ABOUT_OK:
			EndDialog(hDlg, 0);
			return (TRUE);
		default:
			break;
		}

		break;
	case WM_CLOSE:
		EndDialog(hDlg, 0);
		return TRUE;
	}

	return (FALSE);			      /* Didn't process a message    */
}

/*
C source for GNU CHESS

Revision: 26 12 2003
Amlioration de l'interface MS WINDOWS par Richard Kielbasa

Revision: 1990-09-30

Modified by Daryl Baker for use in MS WINDOWS environment

This file is part of CHESS.

CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY.  No author or distributor accepts responsibility to anyone for
the consequences of using it or for whether it serves any particular
purpose or works at all, unless he says so in writing.  Refer to the CHESS
General Public License for full details.

Everyone is granted permission to copy, modify and redistribute CHESS, but
only under the conditions described in the CHESS General Public License.
A copy of this license is supposed to have been given to you along with
CHESS so you can know your rights and responsibilities.  It should be in a
file named COPYING.  Among other things, the copyright notice and this
notice must be preserved on all copies.
*/
