/*------------------------------------------------------------------------
 Module:        C:\Maison\CodeC\Echecs\frmparaalgo.c
 Author:        Richard Kielbasa  (adaptateur)
 Project:       Echecs
 State:         Termin
 Creation Date: x 12 2003
 Description:   See at the end of file
------------------------------------------------------------------------*/

#include <windows.h>

#include "Echecs_rc.h"


/*Dclarations prives--------------------------------------------------*/
static int initFrmParaAlgo(HWND, WPARAM, LPARAM);
static BOOL CALLBACK gererFrmParaAlgo(HWND, UINT, WPARAM, LPARAM);

static int* g_pta;
static int* g_ptb;
static int* g_ptc;
/*------------------------------------------------------------------------
Procedure:     ParaAlgo ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
int appelParaAlgo(HINSTANCE hInst, HWND hwndParent, int* pta, int*ptb, int* ptc)
{

	/*
	* declaration des variables locales
	* =================================
	*/
	int result;

	/*
	* code executable
	* ===============
	*/
	g_pta = pta;
	g_ptb = ptb;
	g_ptc = ptc;
	result = DialogBoxParam(hInst, MAKEINTRESOURCE(DLG_PARALGO), hwndParent, (DLGPROC) gererFrmParaAlgo, (LPARAM)0);

	return result;
}
/*------------------------------------------------------------------------
Procedure:     ParaAlgo ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
static int initFrmParaAlgo(HWND hwndDlg, WPARAM wParam, LPARAM lParam)
{

	/*
	* declaration des variables locales
	* =================================
	*/


	/*
	* code executable
	* ===============
	*/


	SetDlgItemInt(hwndDlg, TXT_FOURCH_A, *g_pta, FALSE);
	SetDlgItemInt(hwndDlg, TXT_FOURCH_B, *g_ptb, FALSE);
	SetDlgItemInt(hwndDlg, TXT_CTEMP,    *g_ptc, FALSE);


	return 1;
}
/*------------------------------------------------------------------------
Procedure:     ParaAlgo ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
static BOOL CALLBACK gererFrmParaAlgo(HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam)
{

	/*
	* declaration des variables locales
	* =================================
	*/

	/*
	* code executable
	* ===============
	*/

	switch (msg)
	{
	case WM_INITDIALOG:
		initFrmParaAlgo(hwndDlg, wParam, lParam);
		return TRUE;
	case WM_COMMAND:
		switch (LOWORD(wParam))
		{
		case CMD_FOURCH_VALID:
			{
				*g_pta = GetDlgItemInt(hwndDlg, TXT_FOURCH_A, NULL, FALSE);
				*g_ptb = GetDlgItemInt(hwndDlg, TXT_FOURCH_B, NULL, FALSE);
				*g_ptc = GetDlgItemInt(hwndDlg, TXT_CTEMP, NULL, FALSE);
				EndDialog(hwndDlg, TRUE);

			}
			break;
		case CMD_FOURCH_ANNUL:
			EndDialog(hwndDlg, FALSE);
			break;
		case TXT_FOURCH_A:
			break;
		case TXT_FOURCH_B:
			break;

		}
		break;
	case WM_CLOSE:
		EndDialog(hwndDlg, FALSE);
		return TRUE;
	}
	return FALSE;
}
