/*Fichier ressources : C:\Maison\CodeC\Echecs\Echecs_UK.rc */

/*gnr le  sam  27 dec 2003 09:49:08 */


/*-------------------Images------------------*/
#define ICO_CHESS                1000
#define ICO_RK                   1001
#define ICO_INACTIF              1002
#define ICO_ACTIF                1003
#define BMP_PAWNM                1004
#define BMP_KNIGHTM              1005
#define BMP_BISHOPM              1006
#define BMP_ROOKM                1007
#define BMP_QUEENM               1008
#define BMP_KINGM                1009
#define BMP_PAWNO                1010
#define BMP_KNIGHTO              1011
#define BMP_BISHOPO              1012
#define BMP_ROOKO                1013
#define BMP_QUEENO               1014
#define BMP_KINGO                1015

/*-------------------menus-------------------*/

/*Menu -----> n0*/
#define MNU_CHESS                1016


/*Menu -----> n1*/
#define MNU_DONE                 1017


/*Menu -----> n2*/
#define MNU_EXAMINE              1018

#define ITM_CHESS_NEW            1019
#define ITM_CHESS_EDIT           1020
#define ITM_CHESS_GET            1021
#define ITM_CHESS_SAVE           1022
#define ITM_CHESS_LIST           1023
#define ITM_CHESS_CONS           1024
#define ITM_CHESS_QUIT           1025
#define ITM_CHESS_UNDO           1026
#define ITM_CHESS_REMOVE         1027
#define ITM_CHESS_HINT           1028
#define ITM_CHESS_SWITCH         1029
#define ITM_CHESS_BLACK          1030
#define ITM_CHESS_WHITE          1031
#define ITM_CHESS_BOTH           1032
#define ITM_CHESS_FORCE          1033
#define IDM_TIMECONTROL          1034
#define ITM_CHESS_RANDOM         1035
#define ITM_CHESS_EASY           1036
#define ITM_CHESS_DEPTH          1037
#define ITM_CHESS_POST           1038
#define ITM_CHESS_TEST           1039
#define ITM_CHESS_REVIEW         1040
#define ITM_CHESS_HASH           1041
#define ITM_CHESS_BOOK           1042
#define ITM_CHESS_ALGO           1043
#define ITM_CHESS_BEEP           1044
#define ITM_CHESS_COORD          1045
#define ITM_COLOR                1046
#define IDM_DEFAULT              1047
#define IDM_SBON                 1048
#define ITM_CHESS_REVERSE        1049
#define ITM_PETITECHIQ           1050
#define ITM_NORMALECHIQ          1051
#define ITM_GRANDECHIQ           1052
#define ITM_README               1053
#define ITM_LICENSE              1054
#define ITM_CHESS_ABOUT          1055
#define ITM_CHESS_EDITDONE       1056
#define ITM_IMPEXA               1057
#define ITM_FERMEREXA            1058

/*----------feuilles de dialogue-------------*/

/*Feuille ----> DLG_EXAMINE */
#define DLG_EXAMINE              1059
/*Controles*/
#define TXT_EXAMINE              1060

/*Feuille ----> DLG_ABOUT */
#define DLG_ABOUT                1061
/*Controles*/
#define ICN_CHESS                1062
#define ICN_RK                   1063
#define LBL_ABOUT_01             1064
#define LBL_ABOUT_VERSION        1065
#define LBL_ABOUT_02             1066
#define LBL_ABOUT_03             1067
#define LBL_ABOUT_TXT            1068
#define LBL_ABOUT_TXT1           1069
#define CMD_ABOUT_OK             1070

/*Feuille ----> DLG_NUMBERDLG */
#define DLG_NUMBERDLG            1071
/*Controles*/
#define LBL_NBDLG_CHAR           1072
#define TXT_NBDLG_INT            1073
#define CMD_NBDLG_OK             1074
#define CMD_NBDLG_CANCEL         1075

/*Feuille ----> DLG_TIMECONTROL */
#define DLG_TIMECONTROL          1076
/*Controles*/
#define GPB_TIMECTRL_NBMOV       1077
#define GPB_TIMECTRL_TIME        1078
#define TMDLG_1MOV               1079
#define TMDLG_10MOV              1080
#define TMDLG_20MOV              1081
#define TMDLG_40MOV              1082
#define TMDLG_60MOV              1083
#define TMDLG_5MIN               1084
#define TMDLG_15MIN              1085
#define TMDLG_30MIN              1086
#define TMDLG_60MIN              1087
#define TMDLG_600MIN             1088
#define CMD_TIMECTRL_OK          1089
#define CMD_TIMECTRL_CANCEL      1090

/*Feuille ----> DLG_STATS */
#define DLG_STATS                1091
/*Controles*/
#define LBL_STAT_DEPTH0          1092
#define LBL_STAT_POSITION0       1093
#define LBL_STAT_SCORE0          1094
#define LBL_STAT_NODE0           1095
#define LBL_STAT_NODESEC0        1096
#define LBL_STAT_BSTLINE         1097
#define LBL_STAT_DEPTH           1098
#define LBL_STAT_POSITION        1099
#define LBL_STAT_NODE            1100
#define LBL_STAT_SCORE           1101
#define LBL_STAT_NODESEC         1102
#define GPB_STAT_BSTLINE         1103

/*Feuille ----> DLG_REVIEW */
#define DLG_REVIEW               1104
/*Controles*/
#define LSB_REVIEW               1105
#define CMD_REVIEW_QUIT          1106
#define LBL_REVIEW               1107

/*Feuille ----> DLG_TEST */
#define DLG_TEST                 1108
/*Controles*/
#define LBL_100                  1109
#define LBL_101                  1110
#define LBL_102                  1111
#define LBL_103                  1112

/*Feuille ----> DLG_PAWNPROMOTE */
#define DLG_PAWNPROMOTE          1113
/*Controles*/
#define CMD_PROM_KNIGHT          1114
#define CMD_PROM_BISHOP          1115
#define CMD_PROM_ROOK            1116
#define CMD_PROM_QUEEN           1117
#define CMD_PROM_OK              1118

/*Feuille ----> DLG_PARALGO */
#define DLG_PARALGO              1119
/*Controles*/
#define CMD_FOURCH_VALID         1120
#define LBL_CTEMP                1121
#define TXT_CTEMP                1122
#define CMD_FOURCH_ANNUL         1123
#define TXT_FOURCH_A             1124
#define TXT_FOURCH_B             1125
#define LBL_FOURCH_A             1126
#define LBL_FOURCH_B             1127
#define GPB_FOURCH               1128

/*Feuille ----> DLG_COLO */
#define DLG_COLO                 1129
/*Controles*/
#define RDB_COL_FOND             1130
#define RDB_COL_CASN             1131
#define RDB_COL_CASB             1132
#define RDB_COL_PIECN            1133
#define RDB_COL_PIECB            1134
#define RDB_COL_TEXTE            1135
#define LBL_COL_FOND             1136
#define LBL_COL_CASN             1137
#define LBL_COL_CASB             1138
#define LBL_COL_PIECN            1139
#define LBL_COL_PIECB            1140
#define LBL_COL_TEXTE            1141
#define CMD_COL_MODIF            1142
#define GPB_COL                  1143
#define CMD_COL_VALID            1144
#define CMD_COL_ANNUL            1145

/*---------------Tables de chaines-------------*/

/*Table ----> STT_MESSAGE */
#define STT_MESSAGE              1146

/*Chaines*/
#define ITT_ISRUNNING            1147
#define ITT_NORUN                1148
#define ITT_MILLERR              1149
#define ITT_EDITDONE             1150
#define ITT_ILLEGALMOVE          1151
#define ITT_AMBIGUOUSMOVE        1152
#define ITT_OBAE                 1153
#define ITT_OBNF                 1154
#define ITT_UNABLESAVE           1155
#define ITT_UNABLELIST           1156
#define ITT_CHESS                1157
#define ITT_DRAWGAME             1158
#define ITT_YOUWIN               1159
#define ITT_COMPUTERWIN          1160
#define ITT_MATESOON             1161
#define ITT_COMPMATE             1162
#define ITT_MONCOUP              1163
#define ITT_TTABLEAF             1164
#define ITT_SQDATAAF             1165
#define ITT_HISTORYAF            1166
#define ITT_TREEAF               1167
#define ITT_GAMEAF               1168
#define ITT_LOADFAILED           1169
#define ITT_MAXSEARCH            1170
#define ITT_INITERROR            1171
#define ITT_LIST                 1172
#define ITT_SAUVEGARDE           1173
#define ITT_SAUVEPARTIE          1174
#define ITT_CHARGEPARTIE         1175
#define ITT_SB                   1176
#define ITT_NOSB                 1177
#define ITT_SAVE                 1178
#define ITT_LOAD                 1179
#define ITT_ARCHIVER             1180
#define ITT_CONSULTER            1181
#define ITT_ORDBLANC             1182
#define ITT_ORDNOIR              1183
#define ITT_BLANCTRAIT           1184
#define ITT_NOIRTRAIT            1185
#define ITT_QUIT                 1186
#define ITT_LIST1                1187
#define ITT_LIST2                1188
#define ITT_TRY                  1189
#define ITT_CLOCKHUMAN           1190
#define ITT_CLOCKCOMPUTER        1191
#define ITT_LOADSUCCESS          1192
#define ITT_SAVESUCCESS          1193

/*---------------Tables de raccourcis-------------*/

/*Table de raccourcis ----> ACC_MENU */
#define ACC_MENU                 1194

/*-------------------RcDatas------------------*/

/*Fin de fichier .h : C:\Maison\CodeC\Echecs\Echecs_UK.rc gnr par Ressources*/

