/*------------------------------------------------------------------------
 Module:        C:\Maison\CodeC\Echec\NUMDLG.C
 Author:        Richard KIELBASA  (adaptateur)
 Project:       Echecs
 State:         Termin
 Creation Date: 7 12 2003
 Description:   See at the end of file
------------------------------------------------------------------------*/

#define NOATOM
#define NOCLIPBOARD
#define NOCREATESTRUCT
#define NOFONT
#define NOREGION
#define NOSOUND
#define NOWH
#define NOWINOFFSETS
#define NOCOMM
#define NOKANJI

#include <windows.h>
#include <string.h>

#include "mainechecs.h"
#include "Echecs_rc.h"

//#define IDD_INT 0x10
//#define IDD_CHAR 0x11

static int   NumberDlgInt;
static char  NumberDlgChar[80];

/*retro declaration-------------------------------------------------------*/
static BOOL  CALLBACK gererNumberDlg (HWND hDlg, unsigned iMessage,WPARAM wParam, LPARAM lParam);

/*------------------------------------------------------------------------
Procedure:     appelInputNumber ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
int  appelInputNumber (HANDLE hInst, HWND hWnd, char * szPrompt, int def)
{

	strcpy ( NumberDlgChar, szPrompt);
	NumberDlgInt = def;

	DialogBox ( hInst, MAKEINTRESOURCE(DLG_NUMBERDLG), hWnd, (DLGPROC) gererNumberDlg);

	return NumberDlgInt;
}

/*------------------------------------------------------------------------
Procedure:     gererNumberDlg ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
static BOOL  CALLBACK gererNumberDlg (HWND hDlg, unsigned iMessage,WPARAM wParam, LPARAM lParam)
{
	int temp, Ier;

	switch ( iMessage )
	{
	case WM_INITDIALOG:
		SetDlgItemText (hDlg, LBL_NBDLG_CHAR, (LPSTR) NumberDlgChar);
		SetDlgItemInt ( hDlg, TXT_NBDLG_INT, NumberDlgInt, TRUE);
		return TRUE;

	case WM_COMMAND:
		switch ( LOWORD(wParam))
		{
		case CMD_NBDLG_OK:
			temp = GetDlgItemInt (hDlg, TXT_NBDLG_INT, &Ier, TRUE);
			if ( Ier != 0 )
			{
				NumberDlgInt = temp;
				EndDialog ( hDlg, TRUE);
			}
			break;

		case CMD_NBDLG_CANCEL:
			EndDialog ( hDlg, TRUE);
			break;

		default:
			return FALSE;

		}

	default:
		return FALSE;
	}
}

/*
C source for GNU CHESS

Revision: 26 12 2003
Amlioration de l'interface MS WINDOWS par Richard Kielbasa

Revision: 1990-09-30

Modified by Daryl Baker for use in MS WINDOWS environment

This file is part of CHESS.

CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY.  No author or distributor accepts responsibility to anyone for
the consequences of using it or for whether it serves any particular
purpose or works at all, unless he says so in writing.  Refer to the CHESS
General Public License for full details.

Everyone is granted permission to copy, modify and redistribute CHESS, but
only under the conditions described in the CHESS General Public License.
A copy of this license is supposed to have been given to you along with
CHESS so you can know your rights and responsibilities.  It should be in a
file named COPYING.  Among other things, the copyright notice and this
notice must be preserved on all copies.
*/
