/*------------------------------------------------------------------------
 Module:        C:\Maison\CodeC\Echecs\FRMPROMOTE.C
 Author:        Richard KIELBASA  (adaptateur)
 Project:       Echecs
 State:         Termin
 Creation Date: 7 12 2003
 Description:   See at the end of file
------------------------------------------------------------------------*/


#define NOATOM
#define NOCLIPBOARD
#define NOCREATESTRUCT
#define NOFONT
#define NOREGION
#define NOSOUND
#define NOWH
#define NOWINOFFSETS
#define NOCOMM
#define NOKANJI

#include <windows.h>
#include "Echecs_rc.h"

/*Variables prives------------------------------------------------------*/
static BOOL  CALLBACK gererFrmPromote ( HWND hDlg, unsigned message,WPARAM wParam, LPARAM lParam);
static int xstatus;

/*------------------------------------------------------------------------
Procedure:     appelPromote ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
int appelPromote ( HWND hWnd, HANDLE hInst)
{

	int status;

	status = DialogBox(hInst, MAKEINTRESOURCE(DLG_PAWNPROMOTE), hWnd, (DLGPROC)gererFrmPromote);
	return status;
}

/*------------------------------------------------------------------------
Procedure:     gererFrmPromote ID:1
Purpose:
Input:
Output:
Errors:
------------------------------------------------------------------------*/
static BOOL  CALLBACK gererFrmPromote ( HWND hDlg, unsigned message,WPARAM wParam, LPARAM lParam)
{

	switch (message)
    {
	case WM_INITDIALOG:		   /* message: initialize dialog box */
		xstatus = 5;
		CheckRadioButton ( hDlg, CMD_PROM_KNIGHT, CMD_PROM_QUEEN, CMD_PROM_QUEEN);
		return (TRUE);

	case WM_CLOSE:
		EndDialog(hDlg, xstatus);
		return xstatus;
		break;


	case WM_COMMAND:		      /* message: received a command */
		switch (LOWORD(wParam))
		{

		case CMD_PROM_OK:
			EndDialog ( hDlg, xstatus);
			return TRUE;

		case CMD_PROM_KNIGHT:
			xstatus = 2 ;
			CheckRadioButton ( hDlg, CMD_PROM_KNIGHT, CMD_PROM_QUEEN, wParam);
			break;
		case CMD_PROM_BISHOP:
			xstatus = 3 ;
			CheckRadioButton ( hDlg, CMD_PROM_KNIGHT, CMD_PROM_QUEEN, wParam);
			break;
		case CMD_PROM_ROOK:
			xstatus = 4 ;
			CheckRadioButton ( hDlg, CMD_PROM_KNIGHT, CMD_PROM_QUEEN, wParam);
			break;
		case CMD_PROM_QUEEN:
			xstatus = 5;
			CheckRadioButton ( hDlg, CMD_PROM_KNIGHT, CMD_PROM_QUEEN, wParam);
			break;

		}
		break;
	}

	return (FALSE);			      /* Didn't process a message    */
}

/*
C source for GNU CHESS

Revision: 26 12 2003
Amlioration de l'interface MS WINDOWS par Richard Kielbasa
Revision: 1990-09-30

Modified by Daryl Baker for use in MS WINDOWS environment

This file is part of CHESS.

CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY.  No author or distributor accepts responsibility to anyone for
the consequences of using it or for whether it serves any particular
purpose or works at all, unless he says so in writing.  Refer to the CHESS
General Public License for full details.

Everyone is granted permission to copy, modify and redistribute CHESS, but
only under the conditions described in the CHESS General Public License.
A copy of this license is supposed to have been given to you along with
CHESS so you can know your rights and responsibilities.  It should be in a
file named COPYING.  Among other things, the copyright notice and this
notice must be preserved on all copies.
*/
